post
https://yourwebhook.com/channel/register
Purpose
To support customer onboardings, the webhook events below will communicate a stores status which instructs the channel to update the corresponding status on their side.
Request
| Parameter | Meaning | Type |
|---|---|---|
status | register A new store/location needs to establish a connection between Deliverect and a channel platformactive A new store/location is ready to start receiving orders into Deliverect from the channel platforminactive A customer wants to stop receiving orders to this store/location from the channel platform | string |
channelLocationId | An identifier which can be set in Deliverect, which is know to the Merchant and allows mapping to the corresponding Deliverect channel link | string |
channelLinkId | ThechannelLinkId is the unique store identifier in Deliverect for a specific channel in a location | string |
locationId | LocationId is the unique identifier of the location in Deliverect. | string |
channelLinkName | The channel name displayed in Deliverect. | string |
Examples
{
"status": "register",
"channelLocationId": "{{externalChannelLocationId}}",
"channelLinkId": "{{channelLinkId}}",
"locationId": "{{locationId}}",
"channelLinkName": "Order Boss"
}{
"status": "active",
"channelLocationId": "{{externalChannelLocationId}}",
"channelLinkId": "{{channelLinkId}}",
"locationId": "{{locationId}}",
"channelLinkName": "Order Boss"
}{
"status": "inactive",
"channelLocationId": "{{externalChannelLocationId}}",
"channelLinkId": "{{channelLinkId}}",
"locationId": "{{locationId}}",
"channelLinkName": "Order Boss"
}Response Body
With the "status": "register" we always expect a JSON result which contains all the supported endpoints detailed in the table below;
| Attribute | Purpose | Type | Required |
|---|---|---|---|
statusUpdateURL | Receive Order Status Update events | string | YES |
menuUpdateURL | Receive Menu Update requests | string | YES |
snoozeUnsnoozeURL | Receive both Snooze / Unsnooze Products requests | string | YES |
busyModeURL | Receive Busy mode requests (paused/online) | string | YES |
updatePrepTimeURL | Receive Preparation Time Update requests | string | NO |
courierUpdateURL | Receive Courier Update events | string | NO |
paymentUpdateURL | Received Payment Update events | string | NO |
authorizationURL | Receive SSO Authorization requests | string | NO |
menuUrl | Merchant Store URL / site URL | string | NO |
Response Example
{
"statusUpdateURL": "https://integrator.com/statusUpdate",
"menuUpdateURL": "https://integrator.com/menuUpdate",
"snoozeUnsnoozeURL": "https://integrator.com/snoozeUnsnooze",
"busyModeURL": "https://integrator.com/busyMode",
"updatePrepTimeURL": "https://integrator.com/updatePrepTimeURL",
"paymentUpdateURL": "https://yourwebhook.com/payment_update",
"courierUpdateURL": "https://yourwebhook.com/courier_update",
"authorizationURL": "https://yourwebhook.com/authorization",
"menuUrl": "https://integrator.com/store"
}